[android-components](../../../index.md) / [mozilla.components.browser.state.action](../../index.md) / [TabListAction](../index.md) / [AddMultipleTabsAction](./index.md)

# AddMultipleTabsAction

`data class AddMultipleTabsAction : `[`TabListAction`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/state/src/main/java/mozilla/components/browser/state/action/BrowserAction.kt#L47)

Adds multiple [TabSessionState](../../../mozilla.components.browser.state.state/-tab-session-state/index.md) objects to the [BrowserState.tabs](../../../mozilla.components.browser.state.state/-browser-state/tabs.md) list.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `AddMultipleTabsAction(tabs: `[`List`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)`<`[`TabSessionState`](../../../mozilla.components.browser.state.state/-tab-session-state/index.md)`>)`<br>Adds multiple [TabSessionState](../../../mozilla.components.browser.state.state/-tab-session-state/index.md) objects to the [BrowserState.tabs](../../../mozilla.components.browser.state.state/-browser-state/tabs.md) list. |

### Properties

| Name | Summary |
|---|---|
| [tabs](tabs.md) | `val tabs: `[`List`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)`<`[`TabSessionState`](../../../mozilla.components.browser.state.state/-tab-session-state/index.md)`>` |
